.shared_windows_runners:
  tags:
  - shared-windows
  - windows
  - windows-1809

#variables:
#  GIT_DEPTH: 10
#  GIT_CLONE_PATH: $CI_BUILDS_DIR/$CI_CONCURRENT_ID/$CI_PROJECT_NAME

stages:
  - build
  - test

before_script:
 - Set-Variable -Name "time" -Value (date -Format "%H:%m")
 - echo ${time}
 - echo "started by ${GITLAB_USER_NAME}"

build:
  extends:
  - .shared_windows_runners
  image: mcr.microsoft.com/powershell7.0.2-nanoserver-1809-kb4561608-amd64
  stage: build
  script:
  - echo "running scripts in the build job"
  - powershell -File Invoke-BuildScript.ps1
  - powershell -Command "New-Item -Path . -ItemType Directory -Name '.public' -Force"
  - powershell -Command "Copy-Item -Path .\bin\cmani.exe -Destination .\.public\ -Force"
  - powershell -Command "Rename-Item -Path .\.public -NewName .\public -Force"
# - powershell -File lib\scripts\Test-Manifests.ps1
  artifacts:
    paths:
    - public
  only:
  - docker-tests
  - merge_requests
  except:
    variables:
      - $CI_COMMIT_REF_NAME =~ /^docs-/

test:
  extends:
  - .shared_windows_runners
  stage: test
  script:
  - echo "running scripts in the test job"
  - powershell -File Invoke-BuildScript.ps1
  - powershell -Command "New-Item -Path . -ItemType Directory -Name '.public' -Force"
  - powershell -Command "Copy-Item -Path .\bin\*.exe -Destination .\public\ -Force"
  - powershell -Command "Rename-Item -Path .\.public -NewName .\public -Force"
  artifacts:
    paths:
    - public
  only:
  - master
